﻿using Infragistics;
using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DoughnutChartSmallSlises
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataContext = new List<Data>
            {
                new Data { Label = "Item 1",Value = 400 },
                new Data { Label = "Item 2",Value = 300 },
                new Data { Label = "Item 3",Value = 400 }, 
                new Data { Label = "Item 4",Value = 1 }, 
                new Data { Label = "Item 5",Value = 10 },
            };
        }     

        private void RingSeries_Loaded(object sender, RoutedEventArgs e)
        {
            var ringSeries = (sender as RingSeries);
            //access the underlying data of a slice
            Slice slice = ringSeries.Ring.ArcItems[0].SliceItems[0].Slice;
            MessageBox.Show((slice.DataContext as Data).Label.ToString());
            //change the brush color for a slice
            var brushes = ringSeries.Brushes;
            brushes[0] = new SolidColorBrush(Colors.YellowGreen);
        
        }
    }

    public class Data
    {
        public string Label { get; set; }
        public double Value { get; set; }
    }
}
